import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
    static Warenkorb warenkorb = new Warenkorb();
    static List<Bestellung> bestellungen = new ArrayList<>();

    public static void main(String[] args) {
        // Erstellen von Produkten mit Name, ID, Preis und Gewicht
        Prudukt gabel = new Prudukt("Gabel", 1, 1.12F, 0.1F);
        Prudukt messer = new Prudukt("Messer", 2, 1.14F, 0.2F);
        Prudukt loeffel = new Prudukt("Löffel", 3, 1.15F, 0.15F);

        Scanner scanner = new Scanner(System.in);
        boolean einkaufFortsetzen = true;

        // Schleife, um Produkte in den Warenkorb hinzuzufügen
        while (einkaufFortsetzen) {
            // Produktliste anzeigen
            System.out.println("Verfügbare Produkte:");
            System.out.println(gabel);
            System.out.println(messer);
            System.out.println(loeffel);

            // Produkt zum Warenkorb hinzufügen
            System.out.println("Geben Sie die ID des gewünschten Produkts ein:");
            int id = scanner.nextInt();
            System.out.println("Geben Sie die Anzahl ein:");
            int anzahl = scanner.nextInt();

            // Auswahl des Produkts basierend auf der ID
            switch (id) {
                case 1:
                    warenkorb.produktHinzufuegen(gabel, anzahl);
                    break;
                case 2:
                    warenkorb.produktHinzufuegen(messer, anzahl);
                    break;
                case 3:
                    warenkorb.produktHinzufuegen(loeffel, anzahl);
                    break;
                default:
                    System.out.println("Ungültige Produkt-ID.");
                    break;
            }

            // Benutzer fragen, ob er weiter einkaufen möchte
            System.out.println("Möchten Sie weiter einkaufen? (1 für Ja, 0 für Nein)");
            einkaufFortsetzen = scanner.nextInt() == 1;
        }

        // Warenkorb anzeigen und Gesamtkosten berechnen
        warenkorb.printWarenkorb();

        // Kundendaten eingeben
        kundenkauf();

        // Bestellung abschließen und speichern
        Bestellung bestellung = new Bestellung(warenkorb, warenkorb.berechneVersandkosten());
        bestellungen.add(bestellung);

        // Bestellungen anzeigen
        System.out.println("Ihre Bestellung wurde gespeichert:");
        System.out.println(bestellung);

        // Alle Bestellungen anzeigen
        System.out.println("Alle Bestellungen:");
        for (Bestellung b : bestellungen) {
            System.out.println(b);
        }
    }

    // Methode zur Eingabe von Kundendaten
    static void kundenkauf() {
        Scanner kundeinfo = new Scanner(System.in);
        System.out.println("Geben Sie Ihre Daten ein:");

        System.out.print("Name: ");
        String name = kundeinfo.nextLine();

        System.out.print("Adresse: ");
        String adresse = kundeinfo.nextLine();

        // Setzen des Kunden im Warenkorb
        warenkorb.setKunde(new Kunden(name, adresse));
    }
}
