import java.util.ArrayList;
import java.util.List;

public class Warenkorb {
    private List<Prudukt> produkte = new ArrayList<>();
    private List<Integer> anzahlProdukte = new ArrayList<>();
    private Kunden kunde;

    public void produktHinzufuegen(Prudukt produkt, int anzahl) {
        produkte.add(produkt);
        anzahlProdukte.add(anzahl);
    }

    public void setKunde(Kunden kunde) {
        this.kunde = kunde;
    }

    public float berechneGesamtpreis() {
        float gesamtpreis = 0;
        for (int i = 0; i < produkte.size(); i++) {
            gesamtpreis += produkte.get(i).getPreis() * anzahlProdukte.get(i);
        }
        return gesamtpreis;
    }

    public float berechneGesamtgewicht() {
        float gesamtgewicht = 0;
        for (int i = 0; i < produkte.size(); i++) {
            gesamtgewicht += produkte.get(i).getGewicht() * anzahlProdukte.get(i);
        }
        return gesamtgewicht;
    }

    public float berechneVersandkosten() {
        float gewicht = berechneGesamtgewicht();
        if (gewicht <= 1) {
            return 5;
        } else if (gewicht <= 2.5) {
            return 8;
        } else {
            return 10;
        }
    }

    public void printWarenkorb() {
        System.out.println("Warenkorb:");
        for (int i = 0; i < produkte.size(); i++) {
            Prudukt produkt = produkte.get(i);
            System.out.println(produkt + ", Anzahl: " + anzahlProdukte.get(i));
        }
        System.out.println("Gesamtpreis: " + berechneGesamtpreis() + " Euro");
    }
}
